Subject: bug#24460: a workaround for Emacs-25.1.1 configure error on Mac 10.11.6 :AppKit.h usability no bur presence yes with gcc

From: Alan Third <[email-masked]>
Date: Sun, 18 Sep 2016 21:31:17 +0100

On Mon, Sep 19, 2016 at 12:40:31AM +0900, fu7mu4 wrote:
> Hello emacs developers.
> I'm fu7m4, one of Emacs user.
<snip>
> installing emacs 25.1 on Mac from source (nextstep build), the configure
> script with "--without-x" argument says that AppKit.h is found but not
> unusable ;
> 
> ./configure --without-x
> 
> ....snip....
> 
> checking AppKit/AppKit.h usability... no
> checking AppKit/AppKit.h presence... yes
> configure: WARNING: AppKit/AppKit.h: present but cannot be compiled
> configure: WARNING: AppKit/AppKit.h:     check for missing prerequisite
> headers?
> configure: WARNING: AppKit/AppKit.h: see the Autoconf documentation
> configure: WARNING: AppKit/AppKit.h:     section "Present But Cannot Be
> Compiled"
> configure: WARNING: AppKit/AppKit.h: proceeding with the compiler's result
> configure: WARNING:     ## ------------------------------------ ##
> configure: WARNING:     ## Report this to [email-masked] ##
> configure: WARNING:     ## ------------------------------------ ##
> checking for AppKit/AppKit.h... no
> configure: error: The include files (AppKit/AppKit.h etc) that
> are required for a Nextstep build are missing or cannot be compiled.
> Either fix this, or re-configure with the option '--without-ns'.

I have to admit I’ve never tried building Emacs on macOS using gcc, I
always just use clang. I have built the NS port against GNUStep using
gcc, though.

Searching on Google doesn’t give any real clues beyond perhaps
reinstalling XCode.
-- 
Alan Third